DELIMITER mysolus$$
		CREATE  OR REPLACE  FUNCTION `CDM_Get_HighFrequency_Threshold`(vPercentile DECIMAL(2,2),vTxnStartDate DATE, vTxnEndDate DATE) RETURNS smallint(6) BEGIN     DECLARE vHighFreq_Threshold_Ret SMALLINT DEFAULT -1;      DECLARE CONTINUE HANDLER FOR SQLEXCEPTION RETURN -1;        SELECT SRC.LT_Freq INTO vHighFreq_Threshold_Ret   FROM   (     SELECT        Lt_Num_of_Visits AS LT_Freq,       ROUND(PERCENT_RANK() OVER (ORDER BY Lt_Num_of_Visits ASC),2) AS Percentile_Rank     FROM CDM_Customer_TP_Var     WHERE        FTD BETWEEN vTxnStartDate AND vTxnEndDate   ) AS SRC   WHERE SRC.Percentile_Rank >= vPercentile   ORDER BY SRC.LT_Freq ASC   LIMIT 1;    RETURN vHighFreq_Threshold_Ret;     END			
mysolus$$
